Subject: Re: What's cooking in git.git (Jul 2013, #09; Mon, 29)

From: Mark Levedahl <[email-masked]>
Date: Sat, 03 Aug 2013 09:37:42 -0400

On 08/01/2013 05:12 PM, Junio C Hamano wrote:
> Ramsay Jones <[email-masked]> writes:
>
>> Junio C Hamano wrote:
>>> Ramsay Jones <[email-masked]> writes:
>>>
>>>>>   I am personally in favor of this simpler solution.  Comments?
>>>> I had expected this to me marked for 'master'.
>>>>
>>>> Has this simply been overlooked, or do you have reservations about
>>>> applying this patch?
>>> I am just being careful and do want to keep it cooking in 'next'
>>> during the feature freeze.  The more users work with 'next' (not
>>> "work *on* 'next'"), the more confidence we would be with, and
>>> hopefully this can be one of the topis that graduate early after
>>> the 1.8.4 release.
>> Hmm, this patch is a bug-fix for a bug that (currently) will be
>> _introduced_ by v1.8.4.
> OK, let's merge it then.  Thanks for being patient with me.
>
>> Do you want me to try and find a different bug-fix for v1.8.4?
>> (Although that would most likely be more risky than simply taking
>> this patch! ;-) ).
> Absolutely not, and I 100% agree with you.
>
I have been using this patch since Ramsey first sent it, have noticed no 
trouble over that time but all of my work is with filemode=true (has 
been since I started using git as Cygwin is a secondary platform for me 
and interoperability with repos on Linux is an absolute requirement).

Mark